Page MenuHomePhabricator

Implement negated searching of statement qualifiers on commons
Closed, ResolvedPublic

Description

Searching for statements with qualifiers associated with a File page on commons is implemented, but atm it's not possible to search for everything with a particular statement that does NOT have a particular qualifier value - e.g. find all files that depict a cat that is NOT black

This is the ticket for implementing negated searching of statement qualifiers

Event Timeline

Cparle created this task.Jun 22 2018, 11:26 AM
Cparle triaged this task as Normal priority.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 26 2018, 7:38 AM

Negation should be supported by default with any cirrus keyword feature. Throw a - on the front and it will be negated

EBjune added a subscriber: EBjune.Jun 28 2018, 5:10 PM

@Cparle can you validate EBernhardson's recommendation and let us know if that will work for you please? Thanks!

Yes! It works! Awesome :) Thanks @EBernhardson and @EBjune

So to find all files that depict a cat that is NOT black you'd do

haswbstatement:depicts=cat -haswbstatement:depicts=cat[color=black]

Cparle closed this task as Resolved.Jun 29 2018, 4:41 PM

Marking as resolved because it'll be resolved when the main searching tickets are resolved

Vvjjkkii renamed this task from Implement negated searching of statement qualifiers on commons to xgaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Cparle as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Cparle renamed this task from xgaaaaaaaa to Implement negated searching of statement qualifiers on commons.Jul 2 2018, 8:57 AM
Cparle closed this task as Resolved.
Cparle lowered the priority of this task from High to Normal.
Cparle updated the task description. (Show Details)
Cparle claimed this task.
Cparle added a subscriber: Aklapper.